# Uses of Interface
org.opensaml.saml.ext.saml2cb.ChannelBindings

Packages that use ChannelBindings
Package
Description
org.opensaml.saml.common.messaging.context
Context classes for SAML-based messaging function.
org.opensaml.saml.ext.saml2cb.impl
Implementation for SAML v2.0 Channel Binding Extensions Version 1.0.

## Uses of ChannelBindings in org.opensaml.saml.common.messaging.context

Fields in org.opensaml.saml.common.messaging.context with type parameters of type ChannelBindings
Modifier and Type
Field
Description
`private Collection<ChannelBindings>`
ChannelBindingsContext.`channelBindings`
The set of ChannelBindings.
Methods in org.opensaml.saml.common.messaging.context that return types with arguments of type ChannelBindings
Modifier and Type
Method
Description
`Collection<ChannelBindings>`
ChannelBindingsContext.`getChannelBindings()`
Get the channel bindings.

## Uses of ChannelBindings in org.opensaml.saml.ext.saml2cb.impl

Classes in org.opensaml.saml.ext.saml2cb.impl that implement ChannelBindings
Modifier and Type
Class
Description
`class`
`ChannelBindingsImpl`
Concrete implementation of `ChannelBindings`.
Methods in org.opensaml.saml.ext.saml2cb.impl that return ChannelBindings
Modifier and Type
Method
Description
`ChannelBindings`
ChannelBindingsBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`ChannelBindings`
ChannelBindingsBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.